import { Tool } from "./types";
declare class ToolsCatalog {
    private readonly tools;
    constructor(tools: Tool[]);
    invokeTool(toolName: string, args: Record<string, unknown>): Promise<{
        result: string;
    }>;
    getTool(toolName: string): Tool | undefined;
    addTool(toolDef: Tool): void;
    listTools(): Tool[];
}
export { ToolsCatalog };
